#include "bodydynamics/capture/capture_force_torque_inertial.h"

#include <core/state_block/state_block_derived.h>

namespace wolf
{
CaptureForceTorqueInertial::CaptureForceTorqueInertial(const TimeStamp&       _init_ts,
                                                       SensorBasePtr          _sensor_ptr,
                                                       const Eigen::VectorXd& _data,
                                                       const Eigen::MatrixXd& _data_cov,
                                                       CaptureBasePtr         _capture_origin_ptr)
    : CaptureMotion("CaptureForceTorqueInertial",
                    _init_ts,
                    _sensor_ptr,
                    _data,
                    _data_cov,
                    _capture_origin_ptr,
                    nullptr,                                // position is static
                    nullptr,                                // orientation is static
                    (_sensor_ptr->isStateBlockDynamic('I')  // dynamic intrinsics are IMU bias
                         ? std::make_shared<StateParams6>(_sensor_ptr->getStateBlock('I')->getState(), false)
                         : nullptr))
{
    //
}

CaptureForceTorqueInertial::~CaptureForceTorqueInertial() {}

}  // namespace wolf